Get catalog
GET
/merchants/{merchantCode}/catalogs/{catalogCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/catalogs/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://catalog.shopgate.io/v1/merchants/example/catalogs/exampleGet catalog
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
catalogCode
required
string
Responses
Section titled “Responses”Returns catalog
Media typeapplication/json
object
catalog
object
code
Human readable code of the entity
string
name
string
defaultLocaleCode
string
defaultCurrencyCode
string
externalUpdateDate
null | string format: date-time
isDefault
boolean
parentCatalogCode
null | string
Example
{ "code": "defaultCatalog", "name": "Default Catalog", "defaultLocaleCode": "en-us", "defaultCurrencyCode": "USD", "externalUpdateDate": "2018-12-15T00:00:23.114Z", "parentCatalogCode": "parentCatalog1", "isDefault": true}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
